<?
include('../connect/connect.php');
$h=intval($_GET['h']);
$w=intval($_GET['w']);
$zag=urldecode($_GET['zag']);
$_GET['map_x']=floatval($_GET['map_x']);
$_GET['map_y']=floatval($_GET['map_y']);

?>
<html>
<head>
<meta http-equiv="content-type" content="text/html; utf-8"/>
<title>Расположение объекта на карте YANDEX</title>
<script src="http://api-maps.yandex.ru/2.0/?load=package.full&lang=ru-RU" type="text/javascript"></script>

<script type="text/javascript">

        // Как только будет загружен API и готов DOM, выполняем инициализацию
        ymaps.ready(init);

        function init () {
		<?
		echo "\n var map_x=".$_GET['map_x'].";";
		echo "\n var map_y=".$_GET['map_y'].";";
		?>
            // Создание экземпляра карты и его привязка к контейнеру с
            // заданным id ("map")
            var myMap = new ymaps.Map('YMapsID', {
                    // При инициализации карты, обязательно нужно указать
                    // ее центр и коэффициент масштабирования
                    center: [map_x, map_y], // Нижний Новгород
                    zoom: 13
                });
				

			//Добавляем элементы управления	
			myMap.controls
            // Кнопка изменения масштаба
            .add('zoomControl')
			// Список типов карты
			.add('typeSelector')
			// Стандартный набор кнопок
			.add('mapTools')	
			//Линейка масштаба
			.add(new ymaps.control.ScaleLine())
			//Обзорная карта, с заданным типом
			.add(new ymaps.control.MiniMap({
			type: 'yandex#publicMap'
			}));				
				
			// Создание метки 
 			myPlacemark = new ymaps.Placemark([map_x, map_y],{
			balloonContentHeader:' <?=urldecode($_GET['zag'])?>',
			}, {preset: "twirl#redIcon", draggable: false});	

 
			// Добавление метки на карту
			myMap.geoObjects.add(myPlacemark);
		
        }
</script>

</head>

<body>
        <div align="center" id="YMapsID" style="width:<?=$w?>px;height:<?=$h?>px"></div>
</body>
</html>